<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.BaseCompanyAttach1Mapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.BaseCompanyAttach1">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="company_code" property="companyCode" />
        <result column="detachment_name" property="detachmentName" />
        <result column="govern_body" property="governBody" />
        <result column="main_attribute_type" property="mainAttributeType" />
        <result column="main_attribute" property="mainAttribute" />
        <result column="son_attribute" property="sonAttribute" />
        <result column="fixed_assets" property="fixedAssets" />
        <result column="employee_num" property="employeeNum" />
        <result column="business_max_num" property="businessMaxNum" />
        <result column="cover_area" property="coverArea" />
        <result column="build_area" property="buildArea" />
        <result column="auto_fire_facilities" property="autoFireFacilities" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="geography" property="geography" />
        <result column="refuge_floor" property="refugeFloor" />
        <result column="refuge_floor_num" property="refugeFloorNum" />
        <result column="refuge_floor_area" property="refugeFloorArea" />
        <result column="refuge_floor_position" property="refugeFloorPosition" />
        <result column="remarks" property="remarks" />
        <result column="plan_name" property="planName" />
        <result column="plan_url" property="planUrl" />
        <result column="build_num" property="buildNum" />
        <result column="superior_fire_jurisdiction" property="superiorFireJurisdiction" />
        <result column="actual_company_id" property="actualCompanyId" />
        <result column="gl_id" property="glId" />
        <result column="determine_key_time" property="determineKeyTime" />
        <result column="cancel_key_time" property="cancelKeyTime" />
        <result column="operation_type" property="operationType" />
        <result column="old_company_id" property="oldCompanyId" />
        <result column="creator" property="creator" />
        <result column="create_time" property="createTime" />
        <result column="update_person" property="updatePerson" />
        <result column="update_time" property="updateTime" />
        <result column="registered_capital" property="registeredCapital" />
        <result column="business_status" property="businessStatus" />
        <result column="paid_capital" property="paidCapital" />
        <result column="registrar" property="registrar" />
        <result column="completed_time" property="completedTime" />
        <result column="fire_rating" property="fireRating" />
        <result column="building_height" property="buildingHeight" />
        <result column="building_structure" property="buildingStructure" />
        <result column="construction" property="construction" />
        <result column="birth_cert" property="birthCert" />
    </resultMap>

</mapper>
